
server.port=8085

spring.application.name=slive
#注册到我们本地的eureka注册中心，端口8081
eureka.client.service-url.defaultZone=http://xhschool:Xhkjedud07@127.0.0.1:8081/eureka/
eureka.client.register-with-eureka=true
eureka.client.fetch-registry=true

#设置eureka输出日志级别
logging.level.com.netflix=error

spring.datasource.url=jdbc:mysql://dbtest.xhkjedu.com:3306/xhkjedu_school_test?characterEncoding=utf8&zeroDateTimeBehavior=convertToNull&rewriteBatchedStatements=true&allowMultiQueries=true
spring.datasource.username=root
spring.datasource.password=HNxhkjedu!@#07
spring.mvc.hiddenmethod.filter.enabled=true

#数据库连接池配置
spring.datasource.driver-class-name=com.mysql.cj.jdbc.Driver
#允许的最小空闲数
spring.datasource.hikari.minimum-idle=5
#连接池最大连接数
spring.datasource.hikari.maximum-pool-size=50
spring.datasource.hikari.auto-commit=true
#空闲超时是 180000 毫秒，当数据库连接的空闲时间大于180000毫秒时，这些空闲超时的连接会被关闭，直到超时的空闲连接数达到 minimum-idle的值
spring.datasource.hikari.idle-timeout=180000
spring.datasource.hikari.pool-name=DatebookHikariCP
spring.datasource.hikari.max-lifetime=1800000
#连接超时时间设置，默认是30s
spring.datasource.hikari.connection-timeout=20000
# 测试连接是否可用的query 语句 在oracle是 select 1 from dual  36   28.26
spring.datasource.hikari.connection-test-query=SELECT 1

# 所有Entity别名类所在包
mybatis.type-aliases-package=com.xhkjedu.slive.model,com.xhkjedu.slive.vo
mybatis.mapper-Locations=classpath*:mapper/**/*.xml
mybatis.configuration.call-setters-on-nulls=true
mapper.mappers=com.xhkjedu.base.TkMapper
mapper.identity=MYSQL
#打印日志
logging.level.com.xhkjedu.slive.mapper=debug
#分页
spring.pagehelper.helper-dialect=mysql

rabbitmq.queue=xhkjedutest.xhschool.livequeue_dev
#操作日志生产者
rabbitmq.handleLogQueue=xhkjedutest.xhschool.handleLogQueue_dev
spring.rabbitmq.host=49.4.26.249
spring.rabbitmq.port=5672
spring.rabbitmq.username=xhkjedu
spring.rabbitmq.password=xhkjedud07
spring.rabbitmq.connection-timeout=15000
#rabbitmq自动签收
spring.rabbitmq.listener.simple.acknowledge-mode=auto
# 是否开启消费者重试（为false时关闭消费者重试）
spring.rabbitmq.listener.simple.retry.enabled=true
# 最大重试重新投递消息次数
spring.rabbitmq.listener.simple.retry.max-attempts=3
# 重试重新投递消息的间隔时间（单位毫秒）
spring.rabbitmq.listener.simple.retry.initial-interval=30000ms
#重试次数超过上面的设置之后，是否丢弃(消费者listener抛出异常，是否重回队列（默认true：重回队列，false：不重回队列（可结合死信交换机））
spring.rabbitmq.listener.simple.default-requeue-rejected=false

#ws地址
ws.address=ws://39.104.164.162:8917/ws,ws://39.104.164.162:8918/ws
#云平台接口地址
cloudapi=http://scapitest.xhkjedu.com/

#声网
#APP ID
agora.appId=b1b07f9eeb2444d0b7ff2205e072b973
#App 密钥
agora.appCertificate=69c9dc6a962f4478a201e4d7c025e329
#Token 服务过期时间1天
agora.expirationTimeInSeconds=86400
#license key
agora.license.key=2cb21d4aadb44dbca60263df0ab9213d
#license 密钥
agora.license.secret=e2439c74719940649aa754ef8c79369d

#定时任务
#默认为false，不开启定时任务
enable.scheduled=false
#每隔1分钟修改课节状态
cron.updateSectionState=0 0/1 * * * ?
#每天凌晨处理未释放的授权
cron.updateLicense=0 0 0 * * ?
#每隔1小时修改license状态
cron.updateLicenseState=0 0 0/1 * * ?

#开启spring的aop配置，默认true
spring.aop.auto=true
#解析ip归属地数据
ipregiondb=D:\\school\\ip2region.xdb

#版本号
buildnum=300
versionname=Test_v3.13.0
